Subject: Re: [PATCH 1/4] Netfilter: Merge ipt_LOG and ip6_LOG into xt_LOG

From: Richard Weinberger <[email-masked]>
Date: Thu, 01 Mar 2012 12:41:42 +0100

Am 01.03.2012 12:27, schrieb Pablo Neira Ayuso:
> On Sun, Feb 05, 2012 at 01:14:48AM +0100, Richard Weinberger wrote:
>> ipt_LOG and ip6_LOG have a lot of common code, merge them
>> to reduce duplicate code.
>>
>> Signed-off-by: Richard Weinberger <[email-masked]>
> 
> While testing this in my master branch I noticed one problem:
> 
> IN=wlan0 OUT= MAC=xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx
> SRC=213.150.61.61 DST=192.168.1.133 LEN=40 TOS=0x00 PREC=0x00 TTL=117
> ID=10539 DF PROTO=TCP SPT=80 DPT=49013 WINDOW=0 RES=0x00 ACK RST
> URGP=0 PROTO=UDPLITE SPT=80 DPT=49013 LEN=45843 PROTO=ICMP TYPE=0
> CODE=80 ID=45843 SEQ=48576
> 
> While merging ipt_LOG and ip6t_LOG, you introduced some bug that
> corrupts the log line. Note the extra PROTO=, I don't have any UDPLITE
> traffic here.
> 
> Looks like a missing break in one switch.
> 
> Would you send me a patch to fix this?
> 

Sure. Do I have 48h to fix this?
I'm currently very busy.

Thanks,
//richard